Go to developer

Partner 2FA / Poll challenge status

Poll challenge status

GET/v1/auth/challenge/{challengeId}

Poll challenge state. When approved, verificationToken appears once — consume it immediately.

Authentication

SERVER ONLY

Bearer clientId:clientSecretServer secret required.

Request

Path parameters

ParameterTypeRequiredDescription
challengeIdstringRequired

Response

200 Challenge state (includes verificationToken once when approved)

  • approvedAtstringnullable
  • challengeIdstringrequired
  • expiresAtstringrequirednullable
  • identityIdstringrequirednullable
  • pollAfterMsintegerrequirednullable
  • statusstringrequired
  • verificationTokenstringnullable

404 Not found

  • detailsobject
  • errorstringrequired
  • messagestringrequired

SDK equivalent

  • TypeScript@keyra/typescript-sdk: pollChallenge / waitForChallengeApproval

Examples

Bash
curl -X GET "https://auth.keyra.ie/v1/auth/challenge/chg_xxxxxxxx" \
  -H "Authorization: Bearer CLIENT_ID:CLIENT_SECRET"

Response

response.jsonJSON
{
  "challengeId": "string",
  "expiresAt": "string",
  "identityId": "string",
  "pollAfterMs": 0,
  "status": "string",
  "verificationToken": "vrf_xxxxxxxx"
}